;;
;;  (c)Stephan Vette, CDM-Jessberger 10/2002
;;  @Mail: Stephan.Vette@cdm-ag.de
;;  http://www.cdm-ag.de/
;;
;; Dieses Programm liest alle Blcke einer Zeichnung als WBLOCK aus.
;; Vorgabeverzeichnis
;; Benutzung auf eigene Gefahr!
;; 
(defun ba:error (S)
  (print (strcat "BLOCKAUS-Fehler: " S))
  (if (eq (getvar "Filedia") 0)
    (setvar "Filedia" fd_old)
  )
  (setq *error* olderr)
  (princ)
)
(defun C:BDAT ()
  (setq	olderr	*error*
	*error*	ba:error
	fd_old (getvar "Filedia")
  )
  (setq blo (tblnext "BLOCK" T))
  (if (not (findfile "C:\\Loesch"))
     (progn
       (alert "\nVerzeichnis C:\Loesch nicht vorhanden! \nBitte erst erstellen!")
       (exit)
       )
    )
  (while blo
    (if	(not (wcmatch (cdr (assoc 2 blo)) ".*"))
      (progn
	(setq bname (cdr (assoc 2 blo)))
	(if (wcmatch bname "_*")(setq bn (substr bname 2))(setq bn bname))
	(setq datname (strcat "C:/LOESCH/" bn ".DWG"))
	(setvar "FILEDIA" 0)
	(command "_-WBLOCK" datname bname "_n")
	(command)
      )
    )
    (setq blo (tblnext "BLOCK"))
  )
  (setvar "FILEDIA" fd_old)
)

